{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    naersk.url = "github:nix-community/naersk";
    rustypasteRepo = {
      url = "github:orhun/rustypaste";
      flake = false;
    };
  };

  outputs =
    {
      self,
      nixpkgs,
      naersk,
      rustypasteRepo,
    }:
    let
      system = "x86_64-linux";
      pkgs = import nixpkgs { inherit system; };
      naersk' = pkgs.callPackage naersk { };
      rustypaste = naersk'.buildPackage { src = rustypasteRepo; };
    in
    {
      packages.${system} = {
        default = rustypaste;
        inherit rustypaste;
      };
      overlays.default = final: prev: { inherit (self.packages.${prev.system}) rustypaste; };
    };
}
